# _dmxWinPriv Struct Reference

`#include <dmxwindow.h>`

## Data Fields

Window | window
Bool | offscreen
Bool | mapped
Bool | restacked
unsigned long | attribMask
Colormap | cmap
Visual * | visual
Bool | isShaped
Bool | hasPict

## Detailed Description

Window private area.

## Field Documentation

unsigned long _dmxWinPriv::attribMask

Referenced by dmxChangeWindowAttributes(), dmxCreateNonRootWindow(), dmxCreateRootWindow(), and dmxCreateWindow().

Colormap _dmxWinPriv::cmap

Referenced by dmxBECreateWindowTree(), dmxCreateNonRootWindow(), and dmxCreateWindow().

Bool _dmxWinPriv::hasPict

Referenced by dmxCreateAndRealizeWindow(), dmxCreateWindow(), and dmxDoCreatePicture().

Bool _dmxWinPriv::isShaped

Referenced by dmxCreateAndRealizeWindow(), dmxCreateWindow(), and dmxSetShape().

Bool _dmxWinPriv::mapped

Referenced by dmxBECreateWindowTree(), dmxCopyWindow(), dmxCreateAndRealizeWindow(), dmxCreateWindow(), dmxPositionWindow(), dmxRealizeWindow(), dmxResizeRootWindow(), dmxResizeWindow(), and dmxUnrealizeWindow().

Bool _dmxWinPriv::offscreen

Referenced by dmxBECreateWindowTree(), dmxCopyWindow(), dmxCreateWindow(), dmxGetWindowAttributes(), dmxPositionWindow(), dmxRealizeWindow(), dmxResizeWindow(), and dmxUnrealizeWindow().

Bool _dmxWinPriv::restacked

Referenced by dmxCreateAndRealizeWindow(), dmxCreateNonRootWindow(), dmxCreateWindow(), and dmxRestackWindow().

Visual* _dmxWinPriv::visual

Referenced by dmxBECreateWindowTree(), dmxCreateNonRootWindow(), and dmxCreateWindow().

Window _dmxWinPriv::window

Referenced by dmxBECreateWindowTree(), dmxBEDestroyWindow(), dmxChangeBorderWidth(), dmxChangeWindowAttributes(), dmxCopyWindow(), dmxCreateAndRealizeWindow(), dmxCreateNonRootWindow(), dmxCreateWindow(), dmxDoCreatePicture(), dmxDoRestackWindow(), dmxDoSetShape(), dmxForceWindowCreation(), dmxGetWindowAttributes(), dmxPositionWindow(), dmxRealizeWindow(), dmxReparentWindow(), dmxResizeRootWindow(), dmxResizeWindow(), dmxRestackWindow(), dmxSetShape(), dmxUnrealizeWindow(), and dmxWindowExposures().

The documentation for this struct was generated from the following file:

- dmxwindow.h

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>